=== debian/changelog ===
cron (3.0pl1-100) unstable; urgency=low

  [ Last upload for etch fixing documentation in this package ]
  * Describe the -L option in cron's manpage.
  * Fix minor typos, and change Debian-specific content of manpages and
    default crontab that could lead to user's being confounded. Explicitly say
    that both /etc/crontab and files under /etc/cron.d/ can have users in the crontab
    lines.  (Closes: #402934)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 20 Dec 2006 00:53:06 +0100

cron (3.0pl1-99) unstable; urgency=low

  * Fix the test for anacron in /etc/crontab that would make cron run the
    run-parts regardless of wether anacron was installed or not, thanks to
    Paul Kimoto for spotting the bug introduced in the fix to #383857 
    (Closes: #392600)
  * Fix lintian error by adding a comment line in the init.d script

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 12 Oct 2006 20:49:50 +0200

cron (3.0pl1-98) unstable; urgency=low

  * Fix LSB-formatted init.d meta info, thanks to Petter Reinholdtsen 
   (Closes: #386709)
  * Make crontab tasks run with CWD=/, to make SELinux happy, thanks to
    Erich Shubert (Closes: #383857)
  * Use latest lsb logging functions, thanks to David Hardeman 
    (Closes: #384858, #389893)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  5 Oct 2006 21:03:19 +0200

cron (3.0pl1-97) unstable; urgency=high

  * Fix the behaviour of crontab so that in systems that do *not* have
    a cron.allow file users will be allowed to use crontab, change
    the behaviour of the previous version because it was contrary
    to the manpage (now a user that is in *both* cron.deny and
    cron.allow will be allowed access) (Closes: #383741)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 19 Aug 2006 10:36:48 +0200

cron (3.0pl1-96) unstable; urgency=low

  * Fix crontab.5 typo (changed quotes ' to ") that prevent a line from being
    presented (Closes: #379230)
  * Small typo fix in cron.8
  * Introduce Steve Grubb's patch to emit audit log message on crontab denial
    based on the patch from Fedora, and adapted to Debian's cron version. The
    main difference is that audit logs are generated if cron is compiled to
    'ALLOW_ONLY_ROOT'. This patch is currently disabled
    since LSPP's audit library is not yet available.
  * Change misc.c so that a user that is *both* in the cron.deny and
    cron.allow files will be denied access (previously he would be permitted
    access)
  * Add two example scripts:
     - stats-cron.pl: A script written by myself that can be used to audit
       the behaviour of cron and benefits from the new cron logging (-L 2)
       option to log the *end* of a cronjob.
     - crontab2english.pl: A script written by Sean M. Burke that translates
       the crontab notation to natural language.
  * Adjust debian/copyright to acknowledge the (c) and license of the above
    scripts.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  9 Aug 2006 01:07:40 +0200

cron (3.0pl1-95) unstable; urgency=low

  * Handle errors when reading crontabs so that it stops reading entries in 
    a crontab file after a syntax error. This prevents a rogue user from
    dumping binary files in /etc/cron.d/ or /var/spool/cron/crontabs/ 
    and have them executed by cron (but binary files under
    /etc/cron.{daily,weekly,monthly} will still be processed as they are
    handled by run-parts. Thanks to Faidon Liambotis for the patch.
    (Closes: #378153)
  * Reuse vixie-cron-4.1-_51-bz180145-mail_i18n.patch from Fedora Core in
    order to setup a proper Content-Type when sending e-mails. The
    Content-Type will be set to the default system locale or cron's
    environment (if it modifies it). If the locale is undefined it will
    default to US ASCII (Closes: #338051)
    - There is no need to define a CHARSET variable now with the above
    patch (Closes: #309150)
  * Support kfreebsd-amd64 by modifying the Build-Depends for SElinux 
    (Closes: #361458)
  * Fix typos in the crontab.1 manpage spotted by Jonas Koelker 
    (Closes: #369153)
  * Add option to control logging (-L) with patch provided by Steve Fosdick.
    This makes it possible to log cron job finishing if you use -L 2
    (Closes: #271747, #318247)
  * Change Steve's email in crontab.c error message to
    cron@packages.debian.org 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 19 Jul 2006 21:31:13 +0200

cron (3.0pl1-94) unstable; urgency=low

  * Lsb-base is now priority 'required' (3.0-16) instead of 'extra' 
    (3.0-15) so I'm moving the Suggests: up to a Depends:  (Closes #360236)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  1 Apr 2006 03:41:55 +0200

cron (3.0pl1-93) unstable; urgency=low

  * Include patch from Ubuntu that incorporates LSB functions to the init.
    This should help have Ubuntu synchronise their changes easier.
  * Fix FTBFS on GNU/kFreeBSD with patch from Aurelien Jarno (Closes: #338246)
  * Add brackets to the initscript for bash completion (Closes: #350605)


 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 27 Feb 2006 22:39:24 +0100

cron (3.0pl1-92) unstable; urgency=low

  * Don't use SElinux on GNU/kFreeBSD, as it is Linux-specific, patch
    from Aurelien Jarno (Closes: #325404)
  * Added LSB formatted dependency info in init.d script (Closes: #335305)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 14 Oct 2005 14:29:40 +0200

cron (3.0pl1-91) unstable; urgency=low

  * Proper fix for #324017, the previous fix was dumb. This one
    includes fixes from Fedora which should prevent segfaults under
    other circumstances.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 21 Aug 2005 03:14:01 +0200

cron (3.0pl1-90) unstable; urgency=low

  * Fix SIGSEV due to a NULL free in the libselinux code, as a consequence
    cron dies before cronjobs are started (Closes: #324017)


