=== debian/control ===
Source: cron
Section: admin
Priority: important
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Uploaders: Steve Greenland <stevegr@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper, libpam0g-dev, libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]

Package: cron
Architecture: any
Depends: ${shlibs:Depends}, debianutils (>=1.7), adduser, lsb-base (>= 3.0-10)
Recommends: exim4 | postfix | mail-transport-agent
Suggests: anacron (>=2.0-1), logrotate, lockfile-progs, checksecurity
Conflicts: suidmanager (<< 0.50), lockfile-progs (<< 0.1.7)
Provides:
Description: management of regular background processing
 cron is a background process (`daemon') that runs programs at regular
 intervals (for example, every minute, day, week or month); which
 processes are run and at what times are specified in the `crontab'.
 .
 Users may also install crontabs so that processes are run on
 their behalf, though this feature can be disabled or restricted to
 particular users.
 .
 Output from the commands is usually mailed to the system administrator
 (or to the user in question); you should probably install a mail system
 as well so that you can receive these messages.
 .
 This cron package is configured by default to do various standard
 system maintenance tasks, such as ensuring that logfiles do not
 grow endlessly and overflow the disk.
 .
 The lockfile-progs package is only a "Suggests" because of the poor
 way that dselect handles "Recommends", but I do strongly suggest that
 you install it; it prevents /etc/cron.daily/standard from running multiple
 times if something gets jammed.
